Subject: bug#26815: [PATCH v4 3/3] vm: Add UEFI loader to disk images.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 18 May 2017 22:50:24 +0200

Marius Bakke <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:

[...]

>> I thought we’d pass something like
>>
>>   (initialize-hard-disk … #:grub-efi #$grub-eif)
>>
>> to avoid the ambiguity?
>
> Thanks for the hint. With the attached patch, grub-efi is now passed
> through to "install-efi". I haven't tested it on "version-0.13.0" but
> assume it will work.

Awesome!

> Now, I would like to instead implement an #:efi-loader keyword, and pass
> it a derivation for the standalone EFI blob, but I'm not sure if I can
> do that before the weekend. What do you think, is this "good enough" for
> the time being?

I think so.  I’d like to push that release out.  :-)

>> Once we’re done with that, we’ll have to update one of the
>> ‘operating-system’ declaration examples to show UEFI configuration, and
>> to update the doc to explain the installation process for UEFI.
>
> I'll get on that.

Cool.

> From b2236aa915bfb32e974546790a1e87ef1b268403 Mon Sep 17 00:00:00 2001
> From: Marius Bakke <[email-masked]>
> Date: Thu, 18 May 2017 18:10:31 +0200
> Subject: [PATCH] vm: Initialize-hard-disk now takes a grub-efi parameter.
>
> * gnu/build/vm.scm (initialize-hard-disk): Learn #:grub-efi.
> (install-efi): Use it.
> * gnu/system/vm.scm (qemu-image): Pass it.

LGTM!  I suppose you’d squash it with the initial patch?

Thanks a lot!

Ludo’.